> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Passthrough

> Sends a request directly to the specified integration connection (e.g., QuickBooks Desktop) on behalf of the end-user.



## OpenAPI

````yaml POST /end-users/{id}/passthrough/{integrationSlug}
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /end-users/{id}/passthrough/{integrationSlug}:
    post:
      summary: Passthrough
      description: >-
        Sends a request directly to the specified integration connection (e.g.,
        QuickBooks Desktop) on behalf of the end-user.
      parameters:
        - in: path
          name: id
          description: The ID of the end-user who owns the integration connection.
          schema:
            type: string
            description: The ID of the end-user who owns the integration connection.
            example: end_usr_1234567abcdefg
          required: true
        - in: path
          name: integrationSlug
          description: The integration identifier for the end-user's connection.
          schema:
            type: string
            enum:
              - quickbooks_desktop
            description: The integration identifier for the end-user's connection.
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              description: The request body to send to the integration connection.
              minProperties: 1
      responses:
        '200':
          description: Returns the response from the integration connection.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                description: The response from the integration connection.
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const response = await
            conductor.endUsers.passthrough('quickbooks_desktop', {
              id: 'end_usr_1234567abcdefg',
              qbd_payload: { foo: 'bar' },
            });


            console.log(response);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            response = conductor.end_users.passthrough(
                integration_slug="quickbooks_desktop",
                id="end_usr_1234567abcdefg",
                qbd_payload={
                    "foo": "bar"
                },
            )
            print(response)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).